################################################################################
## Initialization
################################################################################

init offset = -1

################################################################################

screen spacial_data():
    $week = Kronos.getWeek()
    $day = Kronos.getDay()
    $period = Kronos.getPeriod()
    $clock = Kronos.getTime()
    $location = Amerigo.getDisplayName()
    $publicity = Amerigo.getPublicity()
    frame:
        xpadding 10
        ypadding 10
        xalign 0
        yalign 0

        viewport:
            mousewheel True
            #scrollbars "vertical"
            edgescroll
            xmaximum 240
            xminimum 240
            ymaximum 1080
            vbox:
                text "Week [week]"
                text "[day] [period]"
                text "[clock]"
                text "[location]"
                text "Pub: [publicity]"

screen map_menu():
    $ halls = Amerigo.getConnections()
    modal True
    frame:
        xpadding 10
        ypadding 10
        xoffset 1680
        yoffset 0
        xminimum 240
        xmaximum 240
        yminimum 1080
        ymaximum 1080
        viewport:
            vbox:
                for hall in halls:
                    python:
                        caption = ""
                        connection = hall[0]
                        caption = Amerigo.getDisplayName(name=connection)
                    textbutton caption :
                        action [Function(Amerigo.moveTo, toeSuck=hall[0])]
